var WikiText;
var new_WikiText;
var randomString;

function annotateSelection(){
	 var pagename = wgPageName;
	 var sel = selectedText();
	 var selRange = sel.getRangeAt(0);	 
	 
	 //Returns the cursor's position in the first (related to its appearance in the DOM-Tree) node of the selected Range
	 var startPos = selRange.startOffset;
	 //Returns the cursor's position in the last (related to its appearance in the DOM-Tree) node of the selected Range
	 var endPos = selRange.endOffset;
	 
	 sel = sel.toString();
	 
	 //The text of the 'edit'-field of the wiki article. The program will insert the tags {{aTag|xxxxxxx}} and {{eTag|xxxxxxx}} here
	 var editText = ajaxCall_standard("getEditContent",[pagename]);
	 //The text of the html-code, that is interpreted by the browser (therefor not identical with the displayed text
	 var plainText = document.getElementById("mw-content-text").textContent;
	 
	 var annotationPageName = createUniqueAnnotationPageName();
	 var aTag = '{{aTag|'+randomString+'}}';
	 var eTag = '{{eTag|'+randomString+'}}';
	 
	 var editTextMitTags = annotate(sel, selRange, plainText, editText, aTag, eTag, startPos, endPos);
	 if (editTextMitTags != "ERROR") {
		 new_WikiText = editTextMitTags;
		 editWikiText(); 
		 createAnnotationPage(annotationPageName);
	 } else {
		 alert("An error occured.\nTo annotate a text passage you need to press the mouse button at the beginning of the area you want to annotate.\nThen hold the button down, select some text and release the button at the end of the area.\nMake sure you annotate at least a text with one letter/symbol!");
	 }
	 
}


function editWikiText() {
	var pagename = wgPageName;
	ajaxCall_standard("sta_editWikiPage",[pagename,new_WikiText,"Created by Semantic Text Annotator"]);
}	



function annotation_mode() {
	if (skin =="vector" || skin =="chick" || skin =="cologneblue" || skin =="nostalgia") {
		$("#STA_button").append('<div id="temp_msg">Select the text passage you want to annotate!</div>');
		$("#temp_msg").css({"color":"red","font-weight":"bold"});
		$("#temp_msg").hide().fadeIn("fast");
	} else {
		$("#STA_button").append('<span id="temp_msg">Select the text passage you want to annotate!</span>');
		$("#temp_msg").css({"color":"red","font-weight":"bold"});
		$("#temp_msg").hide().fadeIn("fast");
	} 
		
	$('#mw-content-text').mouseup(function() {
		var breakAnnotationMode = confirm("Are you sure, that you want to annotate the selected text passage?"); 
		$("#temp_msg").remove();
		if (!breakAnnotationMode) {
			$('#mw-content-text').unbind('mouseup');
			return;
		};
		
		annotateSelection();
	});
	
}

function correctMwContentText() {
	//search for </p><p> and replace with <br>\n
	
	//weil MediaWiki bei zwei aufeinderfolgenden Abstzen den zweiten durch </p><p> ersetzt,
	//damit ein neuer Abschnitt begonnen wird
	//man muss hier <br>\n verwenden, weil <br> allein nicht als text-node gewertet wird und daher zur Gesamtzahl der Zeichen nicht dazuzhlt
	//(was es aber muss, damit die Tags an die richtige Stelle gesetzt werden)
	//\n alleine wuerde nicht zu einem sichtbaren Zeilenumbruch im Browser fuehren, weil \n in p-Bloecken in ein Leerzeichen umgewandelt werden
	//ausser, sie sind (wie hier) am Zeilenanfang, dann werden sie ganz ignoriert
	
	document.getElementById("mw-content-text").innerHTML = document.getElementById("mw-content-text").innerHTML.replace(/<\/p><p>/g,"<br>\n");
}


