function showHideProperties (annotationSerialNumber) {
	//alert$(('#line_'+annotationSerialNumber).html());
	$('#line_'+annotationSerialNumber).mouseover(function() {
		mouseOverLine(annotationSerialNumber);
	}).mouseout(function() {
		//$('#'+annotationSerialNumber).replaceWith($('#'+annotationSerialNumber).html());
	});
		
	
} 

function mouseOverLine(annotationSerialNumber){
	
	document.getElementById('standardBox').style.display = "none";
		
	highlightRelatedText(annotationSerialNumber);
			
	//mark all lines as not selected, hide all toolTipWindows
	var listOfAnnotationSerialNumbers = getListOfAnnotationSerialNumbers();
	for (var i=0; i<listOfAnnotationSerialNumbers.length; i++) {
		//remove all classes from (div element for line)
		$("#line_"+listOfAnnotationSerialNumbers[i]).removeClass().addClass("STAline");
		//make all tooltiptext invisible
		//next line does not work with the following jquery command: $('toolTipText_'+listOfAnnotationSerialNumbers[i]).hide();
		document.getElementById('toolTipText_'+listOfAnnotationSerialNumbers[i]).style.display = "none";
	}
	//mark div for line annotationSerialNumber as selected
	$("#line_"+annotationSerialNumber).removeClass("STAline").addClass("STAselectedLine");
	
	//next line does not work with the following jquery command: $('toolTipText_'+annotationSerialNumber).show();
	document.getElementById('toolTipText_'+annotationSerialNumber).style.display = "block";
	
	letElementFollowScroll("toolTipText_"+annotationSerialNumber);
}




function letElementFollowScroll(elementID){
	//source:
	//https://nettuts.s3.amazonaws.com/018_Floating_Menu/demo/dhtml_float_menu_final_nettut.html
	$(document).ready(function(){
		$(window).scroll(function () { 
			offset=$(document).scrollTop()+10+"px";
			$('#'+elementID).animate({top:offset},{duration:400,queue:false});  //bei duration pos Zahl->munue folgt dem scrollen verzoegert
		});
	}); 
	//end source
}

function highlightRelatedText (annotationSerialNumber) {
	
	var index = 0;
	//add div tag for annotation with annotationSerialNumber
	var editTextWithSpanNode = insertNode(index,annotationSerialNumber,"span")[0];
	var newString =  ajaxCall_standard("parseText",[editTextWithSpanNode]);
	
	document.getElementById("mw-content-text").innerHTML = newString;
	correctMwContentText();
	
	insertSpanNodeForEveryNode(annotationSerialNumber);	
}


