	
function getAnnotatedText (pagename) {
	
	var editText = ajaxCall_standard("getEditContent",[pagename]);
	var beginProp1 = editText.search("\\[\\[STAannotationSerialNumber::");
	beginProp1 = beginProp1 + 29;
	var endProp1 = editText.indexOf("]]",beginProp1);
	var annotationSerialNumber = editText.substring(beginProp1,endProp1-2);
	var posBeginOfAnnotationText = editText.search("<!--STARTANNOTATIONTEXT-->");
	posBeginOfAnnotationText = posBeginOfAnnotationText + 26;
	
	//get the name of the article using an inline query
	//do not use the substring of the annotation page, because the name of the annotated article could have changed
	var inlineQuery = "{{#ask: [[STAannotationSerialNumber::"+annotationSerialNumber+"]]| ?STAarticleName| format=array |pagetitle=hide |hidegaps=none}}";
	var articleName =  ajaxCall_standard("parseText",[inlineQuery]);
	var articleName = articleName.substring(3,articleName.length-5);
	
	var articleText = ajaxCall_standard("getEditContent",[articleName]);
		
	var anfang = articleText.search("{{aTag\\|"+annotationSerialNumber+"}}");

	//delete the visible content of the annotation page
	//should we delete the whole annotation page here, because the annotation tags have been deleted from the annotated article? 
	if (anfang == -1) {
		editText = editText.substring(0,posBeginOfAnnotationText);
		ajaxCall_standard("sta_editWikiPage",[pagename,editText,""]);
			return;
	}
	
	anfang = anfang + 17;	
	var ende = articleText.search("{{eTag\\|"+annotationSerialNumber+"}}");
	
	if (ende == -1) {
		editText = editText.substring(0,posBeginOfAnnotationText);
		ajaxCall_standard("sta_editWikiPage",[pagename,editText,""]);
		return;
	}
	
	//var parsedText =  ajaxCall_standard("parseText",[articleText.substring(anfang,ende)]);
	//parsedText = parsedText.substring(5,parsedText.length-6)	
	//parsedText = "[[STAannotatedText::"+parsedText+"]]";
	//editText = editText.substring(0,posBeginOfAnnotationText) + parsedText;
	//ajaxCall_standard("sta_editWikiPage",[pagename,editText,""]);
	
	//new attempt 6.dez2013
	//alert("+"+articleText.substring(anfang,ende)+"+");
	var annotatedText = articleText.substring(anfang,ende);
	annotatedText = "[[STAannotatedText::"+annotatedText+"]]";
	editText = editText.substring(0,posBeginOfAnnotationText) + annotatedText;
	ajaxCall_standard("sta_editWikiPage",[pagename,editText,""]);
	
}

